PHP Error after 10.5.0 upgrade.

General support regarding TimeTrex, such as
configuring policies/taxes or processing payroll.
Post Reply
sstaley
Posts: 4
Joined: Fri Jun 10, 2016 9:34 am

PHP Error after 10.5.0 upgrade.

Post by sstaley » Wed Apr 19, 2017 2:17 pm

Hi,

I'm running the onsite community supported version as follows:

TimeTrex version: 10.5.0
OS: Linux/CentOS release 6.9 (Final)
PHP Version: 5.4.45
Database type: PostgreSQL v9.5.6



Starting sometime last night it appears to have auto upgraded after which I started getting the email below when anyone logs into the system:


DEBUG [L0388] [00284ms] Array: Debug::ErrorHandler(): Raw Request Headers:
array(8) {
["Host"]=>
string(25) "my.url.com"
["Connection"]=>
string(10) "keep-alive"
["User-Agent"]=>
string(110) "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36"
["Accept"]=>
string(28) "image/webp,image/*,*/*;q=0.8"
["Referer"]=>
string(49) "http://my.url.com/interface/html5/"
["Accept-Encoding"]=>
string(19) "gzip, deflate, sdch"
["Accept-Language"]=>
string(23) "en-US,en;q=0.8,nl;q=0.6"
["Cookie"]=>
string(246) "__utma=87618571.710294040.1491430278.1491430278.1491430278.1; __utmz=87618571.1491430278.1.1.utmccn=(direct)|utmcsr=(direct)|utmcmd=(none); SessionID=1f6ff6764bb881a8fa135c4f1d2f1547a7a
422cb; _gat=1; language=en_US; _ga=GA1.2.947596271.1489625309"
}


DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): (E1) PHP ERROR - STRICT(2048): Non-static method HTTP_Download::staticSend() should not be called statically File: /var/www/html/interface/send_file.php Line: 388 DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): #1.Debug::backTrace() /var/www/html/classes/modules/core/Debug.class.php:379
DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): #2.Debug::ErrorHandler(2048, Non-static method HTTP_Download::staticSend() should not be called statically, /var/www/html/interface/send_file.php, 388, Array(67)) /var/www/html/interface/send_file.php
DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): :388 DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): #3.HTTP_Download::staticSend(2048, Non-static method HTTP_Download::staticSend() should not be called statically, /var/www/html/interface/send_file.php, 388, Array(67)) /var/www/html/interface/send_fi DEBUG [L0388] [00284ms]: Debug::ErrorHandler(): le.php:388 DEBUG [L0388] [00284ms]: Debug::ErrorHandler():
DEBUG [L0402] [00320ms]: Debug::Shutdown(): Detected PHP errors (1), emailing log...
DEBUG [L0403] [00320ms]: Debug::Shutdown(): ---------------[ 19-Apr-2017 16:47:59 -0400 [1492634879.7829] (PID: 8461) ]---------------


Everthing still seems to function properly. I have tried rebooting the server and making sure all modules are up to date. Any help would be appreciated.

Thanks,

Scott

sstaley
Posts: 4
Joined: Fri Jun 10, 2016 9:34 am

Re: PHP Error after 10.5.0 upgrade.

Post by sstaley » Wed Apr 19, 2017 3:07 pm

Update: I have since upgraded to PHP v7.1 and it seems to have resolved the issue.

sstaley
Posts: 4
Joined: Fri Jun 10, 2016 9:34 am

Re: PHP Error after 10.5.0 upgrade.

Post by sstaley » Tue May 23, 2017 9:19 am

Okay this morning I go another notice that the auto upgrade failed. I tried to run it again and now i get this message:

Checking pre-flight requirements... 1... 2... 3... 4...You are currently using PHP v7.1.4 TimeTrex requires PHP v7.0.x or earlier!

5... 6... 7... 8... 9... 10... FAILED!

Was there something that wasn't working correctly with PHP 7.1?

shaunw
Posts: 7353
Joined: Tue Sep 19, 2006 2:22 pm

Re: PHP Error after 10.5.0 upgrade.

Post by shaunw » Wed May 24, 2017 8:15 am

TimeTrex has not been tested with PHP v7.1 yet and therefore is not supported.

As for the previous error that you were seeing, its harmless, but upgrading to the latest version of TimeTrex (v10.6.1) would resolve that, so would turning off strict error reporting in your php.ini file.

Post Reply